Bug 86590 - [update] sysutils/file to 4.15
Summary: [update] sysutils/file to 4.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-26 12:10 UTC by Andrej Zverev
Modified: 2005-10-17 10:32 UTC (History)
0 users

See Also:


Attachments
file.diff (1.41 KB, patch)
2005-09-26 12:10 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev 2005-09-26 12:10:12 UTC

    
Comment 1 Renato Botelho freebsd_committer 2005-09-26 13:41:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2005-09-26 13:46:48 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Renato Botelho freebsd_committer 2005-09-26 13:48:14 UTC
Dear maintainer of FreeBSD Port sysutils/file, please look it:

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/86590

Do you approve this patch?
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Celebrate Hannibal Day this year.  Take an elephant to lunch.
Comment 4 jharris 2005-10-02 18:18:57 UTC
On Mon, Sep 26, 2005 at 09:48:14AM -0300, Renato Botelho wrote:
> Dear maintainer of FreeBSD Port sysutils/file, please look it:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/86590
> 
> Do you approve this patch?


Approved, and please add --prefix to CONFIGURE_ARGS thusly:

CONFIGURE_ARGS=	--enable-fsect-man5 --prefix=${LOCALBASE}

in the Makefile.

Thanks.

-- 
Jason Harris           |  NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com _|_ web:  http://keyserver.kjsl.com/~jharris/
          Got photons?   (TM), (C) 2004
Comment 5 Renato Botelho freebsd_committer 2005-10-03 11:11:27 UTC
On Sun, Oct 02, 2005 at 01:18:57PM -0400, Jason Harris wrote:
> On Mon, Sep 26, 2005 at 09:48:14AM -0300, Renato Botelho wrote:
> > Dear maintainer of FreeBSD Port sysutils/file, please look it:
> > 
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/86590
> > 
> > Do you approve this patch?
> 
> Approved, and please add --prefix to CONFIGURE_ARGS thusly:
> 
> CONFIGURE_ARGS=	--enable-fsect-man5 --prefix=${LOCALBASE}
> 
> in the Makefile.

Add --prefix=${LOCALBASE} is not a good idea, since port will not be
${PREFIX} complaint. Is there a good reason for it?

If not parameter is nor correct, because a --prefix=${PREFIX} is already
added, like you can see here:

garga@data:> make -V CONFIGURE_ARGS
--enable-fsect-man5 --prefix=/usr/local --build=i386-portbld-freebsd5.4

-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Telephone, n.:
	An invention of the devil which abrogates some of the
advantages of making a disagreeable person keep his distance.
		-- Ambrose Bierce
Comment 6 Renato Botelho freebsd_committer 2005-10-17 10:32:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!